node-htmlescape_1.1.1-3_all.deb


Advertisement

Description

node-htmlescape - escape string for safe use in html

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-htmlescape_1.1.1-3_all.deb
Package name node-htmlescape
Package version 1.1.1
Package release 3
Package architecture all
Package type deb
Category universe/web
Homepage https://github.com/zertosh/htmlescape
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 3.46 KB
Installed size 15.00 KB
This module escape a string to be safe for use in html particularly
inside a script tag.
In programming languages escape sequences are used in character
literals and string literals, to express characters which are not
printable or clash with the syntax of characters or strings.
This module is a dependency of browserify, a tool that allows one
to write Node.js-style modules that compile for use in the browser.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-htmlescape_1.1.1-3_all.deb 1.1.1 all Ubuntu Universe
node-htmlescape - - -

Requires

Name Value
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-htmlescape_1.1.1-3_all.deb
Source Package node-htmlescape

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-htmlescape deb package:
    # sudo apt-get install node-htmlescape

Files

Path
/usr/lib/nodejs/htmlescape/htmlescape.js
/usr/lib/nodejs/htmlescape/package.json
/usr/share/doc/node-htmlescape/README.md
/usr/share/doc/node-htmlescape/changelog.Debian.gz
/usr/share/doc/node-htmlescape/copyright

Changelog

2019-01-07 - Bastien Roucariès <rouca@debian.org>
node-htmlescape (1.1.1-3) unstable; urgency=medium
* Fix debci with nodejs 10.
* Bump policy and compat
2018-05-20 - Bastien Roucariès <rouca@debian.org>
node-htmlescape (1.1.1-2) unstable; urgency=medium
* Move to salsa
* Bump compat and policy (no changes)
* Move to section javascript
2017-08-17 - Bastien Roucariès <rouca@debian.org>
node-htmlescape (1.1.1-1) unstable; urgency=low
* Initial release (Closes: #855213)

See Also

Package Description
node-htmlparser2_3.9.2-1_all.deb Fast & forgiving HTML/XML/RSS parser
node-htmlparser_1.7.5+ds1-1_all.deb forgiving HTML/XML/RSS Parser in Javascript for NodeJS
node-http-errors_1.7.1-1_all.deb Create HTTP error objects
node-http-signature_1.2.0-1_all.deb Reference implementation of Joyent's HTTP Signature scheme
node-https-browserify_1.0.0-1_all.deb https module compatibility for browserify
node-husl_6.0.1+dfsg-2_all.deb Human-friendly HSL - NodeJS
node-iconv-lite_0.4.13-2ubuntu1_all.deb Pure JS character encoding conversion
node-iconv_2.3.2-1_amd64.deb text recoding module for Node.js
node-icss-replace-symbols_1.1.0-2_all.deb Replace symbols during the linking phase of ICSS
node-icss-utils_3.0.1-1_all.deb ICSS utils for postcss ast
node-ieee754_1.1.12-1_all.deb Libray to read or write IEEE754 floating point numbers
node-iferr_1.0.2-1_all.deb Higher-order functions for easier error handling
node-ignore-by-default_1.0.1-1_all.deb List of directories you should ignore by default
node-imagemagick_0.1.3-1_all.deb imagemagick module for NodeJS
node-immediate_3.2.3+dfsg-1_all.deb Immediate is a cross browser microtask library
Advertisement
Advertisement